<?
$stmp.="<span style=\"color:red\"><strong>Сменить пароль</strong></span>";
if (!$sekr || !$log || !$pass || !$new_pass){
$stmp.="<br/>(персонаж должен быть <u>не в игре</u>)
<form action=\"$PHP_SELF\" method=\"get\">
Логин: <br/><input name=\"log\">
<br/><span style=\"color:red\"><strong>СЕКРЕТ</strong></span>
<br/><input name=\"sekr\">
<br/>Пароль<br/><input name=\"pass\">
<br/>----------<br/>
<span style=\"color:red\">Новый пароль</span>:
<br/><input name=\"new_pass\">
<br/><input type=\"hidden\" name=\"site\" value=\"cpass\">
<input type=\"submit\" value=\"Отправить\">";
}else{
if (strlen($new_pass)>20) die("Пароль не должен быть больше 20 симболов!<br/><a href=\"wml.php\">[Назад]</a></p></card></wml>");
if (isset($game["players"]["user.$log"])) msg("Персонаж в игре!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
$user = implode("",file("users/user.$log.dat"));
$user = unserialize($user);
$info=explode("|",$user["info"]);
if ($sekr!=$info[5])  msg("Неправильные данные!!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
if ($pass!=$info[0])  msg("Неправильные данные!!<br/><a href=\"?\">В начало</a>",Внимание,0,'none');
$info[0]=$new_pass;
$user["info"]=implode("|",$info);
$stmp.="<br/>Данные персонажа - [".$user["title"]."] изменены!";
$file1 = fopen ("users/user.$log.dat", "w+");
fputs($file1,serialize($user));
fclose ($file1);
}
$stmp.="<br/>***<br/><a href=\"index.php\">В начало</a>";
msg($stmp,$game_title,0,'none');
?>